Skip to main content
Python

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your workspace API key. See Find your API key for more information.

Path Parameters

projectId
string<uuid>
required

The project id.

Body

application/json
name
string
required

The inference pipeline name.

Maximum string length: 100
Example:

"production"

description
string | null
required

The inference pipeline description.

Maximum string length: 500
Example:

"This pipeline is used for production."

project
object | null
workspace
object | null
dataBackend
BigQueryDataBackend · object

Response

Status OK.

id
string<uuid>
required
read-only

The inference pipeline id.

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

projectId
string<uuid>
required
read-only

The project id.

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

name
string
required

The inference pipeline name.

Maximum string length: 100
Example:

"production"

dateCreated
string<date-time>
required
read-only

The creation date.

Example:

"2024-03-22T11:31:01.185Z"

dateUpdated
string<date-time>
required
read-only

The last updated date.

Example:

"2024-03-22T11:31:01.185Z"

dateLastSampleReceived
string<date-time> | null
required
read-only

The last data sample received date.

Example:

"2024-03-22T11:31:01.185Z"

description
string | null
required

The inference pipeline description.

Maximum string length: 500
Example:

"This pipeline is used for production."

dateLastEvaluated
string<date-time> | null
required
read-only

The last test evaluation date.

Example:

"2024-03-22T11:31:01.185Z"

dateOfNextEvaluation
string<date-time> | null
required
read-only

The next test evaluation date.

Example:

"2024-03-22T11:31:01.185Z"

passingGoalCount
integer
required
read-only

The number of tests passing.

Required range: x >= 0
Example:

5

failingGoalCount
integer
required
read-only

The number of tests failing.

Required range: x >= 0
Example:

1

totalGoalCount
integer
required
read-only

The total number of tests.

Required range: x >= 0
Example:

6

status
enum<string>
required
read-only

The status of test evaluation for the inference pipeline.

Available options:
queued,
running,
paused,
failed,
completed,
unknown
Example:

"completed"

statusMessage
string | null
required
read-only

The status message of test evaluation for the inference pipeline.

Example:

"Tests successfully evaluated"

workspaceId
string<uuid>
read-only

The workspace id.

Example:

"055fddb1-261f-4654-8598-f6347ee46a09"

project
object | null
workspace
object | null
dateLastPolled
string<date-time> | null
read-only

The last time the data was polled.

totalRecordsCount
integer | null
read-only

The total number of records in the data backend.

Required range: x >= 0
Example:

1000

dataBackend
BigQueryDataBackend · object